Bug 360471 - /etc/sysconfig/network-scripts/ifup-eth calls no longer supported setgcint command in brctl
/etc/sysconfig/network-scripts/ifup-eth calls no longer supported setgcint co...
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-31 11:46 EDT by Martijn Ras
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 14:01:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martijn Ras 2007-10-31 11:46:41 EDT
Description of problem:

Just recently i set up a bridge as follows in

To be complete here's my /etc/sysconfig/network-scripts/ifcfg-eth0:

When i restart the network the bridge comes up fully functional, but ifup prints
an error message in the process.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add ifcfg-br0 and ifcfg-eth0 to /etc/sysconfig/network-scripts
2. Run: sudo /sbin/service network restart
Actual results:
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Bringing up interface br0:  never heard of command [br0]
Usage: brctl [commands]
        addbr           <bridge>                add bridge
        delbr           <bridge>                delete bridge
        addif           <bridge> <device>       add interface to bridge
        delif           <bridge> <device>       delete interface from bridge
        setageing       <bridge> <time>         set ageing time
        setbridgeprio   <bridge> <prio>         set bridge priority
        setfd           <bridge> <time>         set bridge forward delay
        sethello        <bridge> <time>         set hello time
        setmaxage       <bridge> <time>         set max message age
        setpathcost     <bridge> <port> <cost>  set path cost
        setportprio     <bridge> <port> <prio>  set port priority
        show                                    show a list of bridges
        showmacs        <bridge>                show a list of mac addrs
        showstp         <bridge>                show bridge stp info
        stp             <bridge> {on|off}       turn stp on/off
                                                           [  OK  ]

Expected results:
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Bringing up interface br0:                                 [  OK  ]
Comment 1 Martijn Ras 2008-03-19 15:10:00 EDT
This problem exists in Fedora 8 as well.
Comment 2 Martijn Ras 2008-03-19 16:46:11 EDT
I finally had a bit of time to look into this today, as i reported earlier this
exists in Fedora 7 and 8. Its cause is /etc/sysconfig/network-scripts/ifup-eth
calling brctl setgcint, which seems to be no longer supported by brctl (even
though the manual page still mentions setgcint). At first i worked around this
by removing the line that started with "GCINT=" from
/etc/sysconfig/network-scripts/ifcfg-br0. But then i thought i might just as
well fix this permanently, as in the following patch:

--- /etc/sysconfig/network-scripts/ifup-eth.original      2008-03-19
21:11:44.000000000 +0100
+++ /etc/sysconfig/network-scripts/ifup-eth     2008-03-19 21:10:14.000000000 +0100
@@ -71,7 +71,6 @@
            exit 1
       [ -n "${DELAY}" ] && /usr/sbin/brctl setfd ${DEVICE} ${DELAY}
-      [ -n "${GCINT}" ] && /usr/sbin/brctl setgcint ${DEVICE} ${GCINT}
       [ -n "${STP}" ] && /usr/sbin/brctl stp ${DEVICE} ${STP}
I've also patched the manual page as follows:

--- brctl.8.original    2008-03-19 21:26:12.000000000 +0100
+++ brctl.8     2008-03-19 21:26:19.000000000 +0100
@@ -95,11 +95,6 @@
 bridge will time out (delete) that address from the Forwarding
 DataBase (fdb).
-.B brctl setgcint <brname> <time>
-sets the garbage collection interval for the bridge <brname> to <time>
-seconds. This means that the bridge will check the forwarding database
-for timed out entries every <time> seconds.
 Multiple ethernet bridges can work together to create even larger
Comment 3 Bug Zapper 2008-11-26 03:09:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.